$(MODULES_BASE_DIR)/usbmods.bz2: 
	-rm -r $(MODULES_BASE_DIR)/usb
	mkdir -p $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi
	
	#
	# modules.dep
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/modules.dep $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/.
	
	#
        # USB drivers
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/usb $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/kernel/drivers/.
	
	#
	# scsi drivers
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/sg.o $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/sd_mod.o $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/scsi_mod.o $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/st.o $(MODULES_BASE_DIR)/usb/lib/modules/$(LINUX_VERSION)/kernel/drivers/scsi/.
	
	( cd $(MODULES_BASE_DIR)/usb; tar -cpvf ../usb.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/usb.tar
	mv $(MODULES_BASE_DIR)/usb.tar.bz2 $(MODULES_BASE_DIR)/usbmods.bz2

usbmods: $(MODULES_BASE_DIR)/usbmods.bz2

usbmods-clean:
	-rm -f $(MODULES_BASE_DIR)/usbmods.bz2
